<?php

namespace Drupal\vbo_export\Plugin\Action;

/**
 * Generates csv.
 *
 * @Action(
 *   id = "vbo_export_generate_csv_action",
 *   label = @Translation("Generate csv from selected view results"),
 *   type = "",
 *   pass_context = TRUE,
 *   pass_view = TRUE
 * )
 */
class VboExportCsv extends VboExportBase {
  const THEME = 'vbo_export_content_csv';
  const EXTENSION = 'csv';

  /**
   * Override the generateOutput method.
   *
   * BOM needs to be added to UTF-8 encoded csv file
   * to make it easier to read by Excel.
   */
  protected function generateOutput() {
    $output = parent::generateOutput();
    $output = chr(0xEF) . chr(0xBB) . chr(0xBF) . (string) $output;
    return $output;
  }

}
